### Method

# Vips Image hough_line

#### Declaration [src]

    int
    vips_hough_line (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Find the line Hough transform for `in`. `in` must have one band. `out` has one band, with pixels being the number of votes for that line. The X dimension of `out` is the line angle in 0 - 180 degrees, the Y dimension is the distance of the closest part of that line to the origin in the top-left.

Use `width` `height` to set the size of the parameter space image (`out`), that is, how accurate the line determination should be.

Optional arguments

- `width`: `gint`, horizontal size of parameter space
- `height`: `gint`, vertical size of parameter space

See also

`vips_hough_circle()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.